#
# spec file for package 3ddiag (Version 0.735)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo hwinfo-devel info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser perl-XML-Writer permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone udev unzip util-linux vim wireless-tools zlib zlib-devel


Name:           3ddiag
BuildRequires:  hwinfo-devel
License:        GPL v2 or later
Group:          System/Base
AutoReqProv:    on
Version:        0.735
Release:        1.10
Summary:        A Tool to Verify the 3D Configuration
Source:         3Ddiag-%{version}.tar.gz
Source5:        switch2nv
Source6:        switch2nvidia
Source7:        3Ddiag-result
Patch:          remove_tempdir.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With 3Ddiag you can verify the 3D configuration.



Authors:
--------
    Stefan Dirsch <sndirsch@suse.de>

%debug_package
%prep
%setup -n 3Ddiag
%patch -p1 

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/3ddiag
mkdir -p $RPM_BUILD_ROOT/usr/bin
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_defaultdocdir}/3ddiag
install -m 755 $RPM_SOURCE_DIR/switch2nv $RPM_BUILD_ROOT/usr/bin 
install -m 755 $RPM_SOURCE_DIR/switch2nvidia $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/3Ddiag-result $RPM_BUILD_ROOT/usr/bin

%post
test -f etc/sysconfig/3ddiag && rm -f etc/sysconfig/3ddiag
exit 0

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/3ddiag/
%doc %{_defaultdocdir}/3ddiag/LICENSE
/usr/bin/3Ddiag
/usr/bin/3Ddiag.devel
/usr/bin/3Ddiag.dri
/usr/bin/3Ddiag.ignoredb
/usr/bin/3Ddiag.nvidia_glx
/usr/bin/3Ddiag.runtime
/usr/bin/3Ddiag-result
/usr/bin/3dinfo
/usr/bin/switch2nv
/usr/bin/switch2nvidia

%changelog
* Fri Mar 07 2008 - bgeuken@suse.de
- make sure tmpdir is removed, when card is not 3D capable.
  (bnc #367326)
* Tue Jun 06 2006 - sndirsch@suse.de
- reverted previous change; 3dinfo wrapper no longer required since
  additional information can be added easily to libhd
  (/var/lib/hardware/hd.ids), which is now used by x11-video-fglrx
  and x11-video-nvidia packages (Bug #175683)
* Fri May 26 2006 - sndirsch@suse.de
- 3Ddiag-0.735.tar.gz:
  * obsoletes nvidia.diff
  * added 3dinfo wrapper to make sure that information, that is
  not available yet to libhd, is incorporated nevertheless
  (Bug #175683)
* Thu May 25 2006 - sndirsch@suse.de
- nvidia.diff:
  * also check for the nvidia driver in new updates path
  (Bug #178853)
* Thu Apr 20 2006 - sndirsch@suse.de
- 3Ddiag-0.734.tar.gz:
  * DRI driver support update (when "--ignoredb" option is used)
  * NVIDIA driver support update (when "--ignoredb" option is used)
* Wed Apr 12 2006 - sndirsch@suse.de
- 3Ddiag-0.731.tar.gz:
  * xsload is obsolete (Bug #165641)
* Thu Mar 16 2006 - sndirsch@suse.de
- 3Ddiag-0.731.tar.gz:
  * xorg-x11-Mesa --> Mesa
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 - sndirsch@suse.de
- switch2nv/switch2nvidia:
  * use strings instead of xsload to detect the real NVIDIA driver
  * enable/disable Composite for nv/nvidia driver
  * cleanup
* Wed Nov 16 2005 - sndirsch@suse.de
- 3Ddiag-0.728.tar.gz:
  * 3Ddiag.dri: added new devices support by fglrx 8.19.10
* Thu Sep 08 2005 - sndirsch@suse.de
- 3Ddiag-0.728.tar.gz:
  * 3Ddiag.dri: added new devices support by fglrx 8.16.20
* Tue Aug 09 2005 - sndirsch@suse.de
- 3Ddiag-0.727.tar.gz:
  * 3Ddiag.dri: ATI XPress chips are not supported by radeon driver
* Tue Jul 05 2005 - sndirsch@suse.de
- added "hal dbus-1" to #neededforbuild to fix build
* Sun Jul 03 2005 - sndirsch@suse.de
- 3Ddiag-0.726.tar.gz:
  * use CFLAGS
- use RPM_OPT_FLAGS
* Sun Jun 26 2005 - sndirsch@suse.de
- 3Ddiag-0.725.tar.gz:
  * 3Ddiag.dri: added new supported ATI devices for radeon/fglrx
  driver
* Mon Jun 13 2005 - sndirsch@suse.de
- adjusted #neededforbuild: udev --> sysfsutils
* Tue Apr 26 2005 - sndirsch@suse.de
- 3Ddiag-result:
  * return 1 during a fresh installation, since X11 is not
  configured yet
* Thu Mar 10 2005 - sndirsch@suse.de
- 3Ddiag-0.724.tar.gz
  * 3Ddiag.dri: added new supported ATI devices for fglrx driver
* Tue Feb 22 2005 - ro@suse.de
- added wireless-tools to nfb (for libhd)
* Wed Feb 09 2005 - sndirsch@suse.de
- switch2nv/switch2nvidia: XF86Config --> xorg.conf
* Thu Jan 27 2005 - sndirsch@suse.de
- 3Ddiag-0.722.tar.gz:
  * 3Ddiag: XF86Config --> xorg.conf
* Sun Aug 01 2004 - sndirsch@suse.de
- 3Ddiag-0.722.tar.gz:
  * 3Ddiag.dri: added new supported chipsets (Radeon IGP 7834/7835)
* Tue Jul 20 2004 - sndirsch@suse.de
- 3Ddiag-0.721.tar.gz
  * 3Ddiag.dri: added new supported chipsets (ATI Radeon IGP,
  Intel 915)
* Wed May 05 2004 - sndirsch@suse.de
- switch2nvidia:
  * only patch SaX2 generated XF86Config files; otherwise 3Ddiag
  wrongly assumes during installation that 3D is already enabled,
  if the nvidia driver YOU patch was installed before
* Sat Apr 24 2004 - sndirsch@suse.de
- 3Ddiag-0.720.tar.gz: XFree86 --> X.Org
* Wed Mar 24 2004 - sndirsch@suse.de
- switch2nv:
  * use "depmod -a" after uninstalling nvidia driver (Bug #36781)
* Mon Feb 09 2004 - sndirsch@suse.de
- 3Ddiag-0.716.tar.gz:
  * Makefile: fixed build with sysfs
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Wed Dec 31 2003 - sndirsch@suse.de
- 3Ddiag-0.715.tar.gz:
  * 3Ddiag.dri: updated to latest fglrx 3.7.0 driver support
* Sun Dec 07 2003 - sndirsch@suse.de
- 3Ddiag-0.714.tar.gz:
  * 3Ddiag.dri: updated to latest DRI support
* Thu Oct 02 2003 - sndirsch@suse.de
- 3Ddiag-0.713.tar.gz:
  * 3Ddiag.devel/3Ddiag.runtime:
  mesaglut/mesaglut-devel --> freeglut/freeglut-devel
* Tue Sep 30 2003 - sndirsch@suse.de
- major cleanup in main 3Ddiag script (includes use of mktemp)
- "--ignoredb" option now calls immediately the appropriate
  "--dri/--nvidia_glx" option
- switch2nv/switch2nvidia: use of mktemp
* Sat Sep 13 2003 - sndirsch@suse.de
- 3Ddiag-0.703.diff:
  * no longer test for Professional version for "--devel" option
  * fixed "--omit-config" option
  * updated hardware database for "--dri" option
  * simplified hardware database for "--nvidia_glx" option
- switch2nv:
  * nvidia-installer --> tiny-nvidia-installer
- removed config-dist.sh, 3Ddiag.sh
* Sat Aug 09 2003 - sndirsch@suse.de
- switch2nv: use nvidia-installer to uninstall nvidia driver first
* Thu Apr 10 2003 - sndirsch@suse.de
- changes in switch2nv:
  * exit gracefully, if nvidia driver is installed
* Sat Apr 05 2003 - sndirsch@suse.de
- update to release 0.703:
  * GL/GLU libs now in new packages XFree86-Mesa/XFree86-Mesa-devel
* Mon Mar 31 2003 - sndirsch@suse.de
- update to release 0.701:
  * major cleanup
- removed no longer required PreReq
- remove 3Ddiag.mesasoft
* Mon Mar 31 2003 - sndirsch@suse.de
- sysconfig variable SCRIPT_3D no longer required
- cleanup
* Sun Mar 30 2003 - sndirsch@suse.de
- update to release 0.695
  * integrated patch '3Ddiag-0.691.diff'
  * removed 3Ddiag.mesaglide
- SuSEconfig.3ddiag: replaced switch2mesa3dfx with switch2xf86_glx
  as XFree86-GLX replaces mesa3dfx during update
- sysconfig.3ddiag: removed 'switch2mesa3dfx'
- remove 3Ddiag.mesaglide from filelist
* Tue Mar 25 2003 - sndirsch@suse.de
- added docdir to filelist (Bug #25814)
* Wed Mar 05 2003 - sndirsch@suse.de
- added 'switch2no' script:
  * disables creating of libGL symlinks; useful for the new nvidia
  installer, which requires that the mechanism of libGL symlinks
  is disabled
* Fri Feb 28 2003 - sndirsch@suse.de
- 3Ddiag-0.691.diff:
  * 3Ddiag: verifying driver also when "--omit-config" is specified
* Sat Feb 15 2003 - sndirsch@suse.de
- SuSEconfig.3ddiag:
  * better use switch2xf86_glx instead of switch2mesasoft for
  replacing switch2nvidia_glx, as the nVidia dummy packages
  are replaced by XFree86-GLX during an update anyway
- switch2nvidia:
  * adjusted to new nvidia driver install mechanism (nvidia
  packages and switch2nvidia_glx no longer exist)
* Sat Feb 15 2003 - sndirsch@suse.de
- update to release 0.691:
  * adjusted 3Ddiag and 3Ddiag.nvidia_glx to new nvidia installer
  mechanism
- sysconfig.3ddiag: removed switch2nvidia_glx
- SuSEconfig.3ddiag: replace switch2nvidia_glx with
  switch2mesasoft; important after an update, if there still are
  any NVIDIA_GLX/NVIDIA_kernel packages left
* Sun Feb 09 2003 - sndirsch@suse.de
- update to release 0.599:
  * adjusted 3Ddiag.dri and 3Ddiag.nvidia_glx to current supported
  3D chips
* Tue Jan 21 2003 - sndirsch@suse.de
- don't verify nvidia packages if option "--omit-config" is given
  and /var/lib/YaST2/omit_nvidia_check exists
* Thu Jan 16 2003 - sndirsch@suse.de
- update to release 0.596
  * 3Ddiag: lspci now in /sbin (again?)
* Tue Jan 07 2003 - sndirsch@suse.de
- update to release 0.595
  * 3Ddiag: lspci now in /usr/sbin
* Mon Jan 06 2003 - sndirsch@suse.de
- update to release 0.594:
  * adjusted 3Ddiag.nvidia_glx to current supported 3D chips
* Sun Dec 29 2002 - sndirsch@suse.de
- update to release 0.593:
  * adjusted 3Ddiag.dri and 3Ddiag.nvidia_glx to current supported
  3D chips
* Thu Dec 19 2002 - sndirsch@suse.de
- added meta information to sysconfig file (Bug #22585)
* Mon Nov 11 2002 - sndirsch@suse.de
- update to release 0.591:
  * integrated patches 3Ddiag-0.496.diff and 3dinfo.diff
  * adjusted for package rename xf86_glx --> XFree86-GLX
* Fri Nov 01 2002 - kukuk@suse.de
- Don't send info mail about changes on new products [Bug #21414]
* Wed Sep 11 2002 - sndirsch@suse.de
- removed splitprovides for mesa (Bug #19463)
* Tue Sep 10 2002 - sndirsch@suse.de
- do not verify if NVIDIA dummy packages are installed during
  installation (confuses customer, Bug #18988)
* Mon Sep 02 2002 - sndirsch@suse.de
- added 'Requires: mesasoft'; we need this as the symbolic link
  libGL.so.1 will point to the libGL of package mesasoft by default
* Fri Aug 16 2002 - sndirsch@suse.de
- ajusted '3dinfo' to some more minor libhd interface changes
  (3dinfo.diff)
* Thu Aug 08 2002 - sndirsch@suse.de
- update to release 0.496: adjusted '3dinfo' to minor libhd
  interface changes
* Thu Aug 01 2002 - sndirsch@suse.de
- added 'PreReq:'
* Thu Jul 25 2002 - sndirsch@suse.de
- update to release 0.494: adjusted DRI support detection for the
  renaming of the FireGL 8x00 driver
* Mon Jul 22 2002 - sndirsch@suse.de
- update to release 0.493: added DRI support detection for SiS devices
* Mon Jul 22 2002 - sndirsch@suse.de
- update to release 0.492: added option "--num-3dboards" for SaX2
* Thu Jul 18 2002 - sndirsch@suse.de
- update to release 0.491: added option "--omit-config" for SaX2
- 3Ddiag-result no longer ignores options for 3Ddiag
* Thu Jul 11 2002 - sndirsch@suse.de
- update to release 0.490: integrated patches fglr200.diff and
  nvidia.diff; minor changes in 3Ddiag.dri
* Sun Mar 17 2002 - sndirsch@suse.de
- added new 3D capable devices to 3Ddiag.nvidia_glx (nvidia.diff)
* Fri Mar 15 2002 - sndirsch@suse.de
- removed test3D script (not required any longer)
* Thu Mar 14 2002 - sndirsch@suse.de
- added test3D script: test3D <command>
  * returns error, when a requirement for libGL.so.1 of <command>
  is detected and 3D is not configured correctly resp. no 3D
  capable device is available; otherwise returns success
* Tue Mar 12 2002 - sndirsch@suse.de
- added 3Ddiag-result:
  * returns if a 3D capable device is configured correctly or no
  3D capable device is found
* Tue Mar 05 2002 - sndirsch@suse.de
- added new 3D capable device FireGL 8x00 to 3Ddiag.dri (fglr200.diff)
* Thu Jan 24 2002 - sndirsch@suse.de
- updated to release 0.397: added new 3D capable devices to
  3Ddiag.dri and 3Ddiag.nvidia_glx
* Mon Jan 07 2002 - sndirsch@suse.de
- updated to release 0.395: added new DRI/nVidia devices to
  3Ddiag.dri and 3Ddiag.nvidia_glx
* Fri Nov 23 2001 - sndirsch@suse.de
- update to release 0.391: install target in Makefile now uses DESTDIR
- specfile adjusted to use Buildroot
* Sun Nov 11 2001 - sndirsch@suse.de
- update to release 0.390
  removed 3D detection of Voodoo Rush (no longer supported,
  replaced by mesasoft); adjusted rc.config.3ddiag/SuSEconfig.3ddiag
  according to this
* Thu Nov 08 2001 - sndirsch@suse.de
- update to release 0.389
  switched from xf86glu/xf86glu-devel --> mesaglu/mesaglu-devel
* Mon Oct 01 2001 - sndirsch@suse.de
- update to release 0.387
  * removed Utah-GLX support
* Tue Sep 25 2001 - sndirsch@suse.de
- fixed type (Bug #11296)
* Mon Sep 03 2001 - sndirsch@suse.de
- update to release 0.369
  * corrected Device Id for MGA G400/G450 in 3Ddiag.dri
  * added 'WARNING' to Dummy nVidia driver notice in 3Ddiag
* Sat Aug 18 2001 - sndirsch@suse.de
- updated to release 0.367
  * added GPL license
* Tue Jul 24 2001 - sndirsch@suse.de
- update to release 0.356
  * removed current dir from PATH
  * some cleanups
* Mon Jul 23 2001 - sndirsch@suse.de
- update to release 0.354: added options for 3Ddiag
  --devel       verify full OpenGL Development configuration
  --dri         verify DRI/XFree86 4.x configuration
  --help, -h    display this help and exit
  --ignoredb    search for configurations of untested/unsuccesfull
  tested hardware
  --mesaglide   verify Mesa/Glide configuration
  --mesasoft    verify 'Mesa Software Rendering' configuration
  --nvidia_glx  verify 'nVidia GLX/XFree86 4.x' configuration
  --runtime     verify GLU/glut Runtime configuration
  --utah-glx    verify Utah-GLX/XFree86 3.3 configuration
* Fri Jun 22 2001 - sndirsch@suse.de
- added scripts switch2nv/switch2nvidia to switch easily between
  nv/nvidia driver; these scripts execute switch2mesasoft/
  switch2nvidia_glx and patch /etc/X11/Xf86Config according to this
* Tue Jun 19 2001 - sndirsch@suse.de
- added 3Ddiag.sh for KDE menu
* Fri Jun 01 2001 - sndirsch@suse.de
- check full OpenGL runtime/development configuration (GLU/glut)
- check correct OpenGL libraries/GLX extensions only once now, not for every
  package
- some corrections in output for SuSE 7.0/7.1 if NVIDIA_GLX/NVIDIA_kernel is
  used instead of nv_glx and some files of the packages are missing
- do not verify driver entry, if it is empty (important for Voodoo I/II
  boards)
- minor correction in mail, which is sent to root after installation (Bug #8657)
* Tue May 08 2001 - sndirsch@suse.de
- updated to release 0.248
  * added warning for i850 chipset users, that there are problems
  on these systems, which could disable 3D hardware support
  * added note to use "3Ddiag --mesasoft" to verify Software
  configuration if 3D hardware support is not stable
* Thu May 03 2001 - sndirsch@suse.de
- corrected typo in postinstall message
* Sun Apr 22 2001 - sndirsch@suse.de
- don't replace the value for the variable in rc.config any more if
  it's already correct
* Fri Apr 20 2001 - sndirsch@suse.de
- 3Ddiag: $xf86version was not set in this context
* Tue Apr 10 2001 - sndirsch@suse.de
- SuSE 7.2 comes with dummy packages NVIDIA_GLX/NVIDIA_kernel, which must be
  checked to inform the user to update to the real packages with 3D hardware
  accelerated support
* Tue Apr 10 2001 - sndirsch@suse.de
- removed SuSEconfig.3ddiag call in chrc.config
* Mon Apr 09 2001 - sndirsch@suse.de
- removed description for switch2nv_glx and switch2xfiregl1 as
  these scripts won't exist any longer
* Mon Apr 09 2001 - sndirsch@suse.de
- added chrc.config to be able to change the value of SCRIPT_3D
  in /etc/rc.config with a command line tool
* Fri Mar 23 2001 - sndirsch@suse.de
- provides mesa:/etc/mesa.conf, so it is installed during an update
  if mesa was installed before, it does not really provides
  /etc/mesa.conf :-)
* Wed Mar 21 2001 - sndirsch@suse.de
- added config-dist.sh (required for SuSE 7.0 builds)
* Wed Mar 21 2001 - sndirsch@suse.de
- update to release 0.245:
  * adjusted to use with SuSE 7.0, 7.1 and 7.2 (big changes),i.e.
  +  check symbolic links only for SuSE >= 7.1
  + check rc.config entry only for SuSE 7.2
- added switch2nvidia_glx as option for SCRIPT_3D in rc.config
- check if "SCRIPT_3D" == "no" and don't try ot execute it even
  if it exists
* Mon Mar 19 2001 - sndirsch@suse.de
- fixed "absolute path problem" in %%post section
* Tue Feb 06 2001 - sndirsch@suse.de
- added sending of email about changes of OpenGL configuration to
  %%post section
* Mon Feb 05 2001 - sndirsch@suse.de
- creating of the symbolic links to the correct OpenGL libraries/
  extensions is now handled with SCRIPT_3D in /etc/rc.config and
  /sbin/conf.d/SuSEconfig.3ddiag. SCRIPT_3D scecifies the script to
  execute to create the symbolic links.
* Sat Jan 20 2001 - sndirsch@suse.de
- updated to release 0.149:
  3D software emulation is now verified if the board is not 3D capable,
  or if 3Ddiag is used with the option "--mesasoft"
* Tue Jan 09 2001 - sndirsch@suse.de
- created package
